Bug 110355 - Writer compatibility settings no longer persist
Summary: Writer compatibility settings no longer persist
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.7.2 release
Hardware: All All
: high major
Assignee: Vitaliy
QA Contact:
URL:
Whiteboard: target:6.0.0 target:5.4.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2017-07-29 17:43 UTC by Lenge
Modified: 2017-09-22 08:14 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lenge 2017-07-29 17:43:28 UTC
5.4.0.3 release introduced the following bug:
- Open Writer
- Go to Tools\Options...\LibreOffice\LibreOffice Writer\Compatibility
- Uncheck the four pre-defined compatibility settings
- Press "Use as Default" and confirm with "Yes"
- Close the settings dialog with "OK"
- Close Writer, then open it again (no need to save the document)
- Check the above compatibility settings

Expected result: The default template should have been changed so that all compatibility settings are now unchecked for newly created Writer documents. This is what actually happened before version 5.4.

Actual result: All four options are still checked. => BUG!
Comment 1 m.a.riosv 2017-07-29 22:04:29 UTC
Reproducible.
Version: 5.2.7.1
Build ID: bf0fa7b86c7c0592941ede29fca6fafff642a948
CPU Threads: 4; OS Version: Windows 6.2; UI Render: GL; 
Locale: es-ES (es_ES); Calc: group
Version: 5.4.0.3 (x64)
Build ID: 7556cbc6811c9d992f4064ab9287069087d7f62c
CPU threads: 4; OS: Windows 6.19; UI render: default; 
Locale: es-ES (es_ES); Calc: group
Version: 6.0.0.0.alpha0+
Build ID: 3c75009a677ae950105a65c699b16caf72b516b0
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-07-29_01:36:38
Locale: es-ES (es_ES); Calc: CL

Last working.
Version: 5.1.4.0.0+
Build ID: ec1a2322b862468621ce45500d74dac252bf1714
CPU Threads: 4; OS Version: Windows 6.2; UI Render: GL; 
TinderBox: Win-x86@62-merge-TDF, Branch:libreoffice-5-1, Time: 2016-04-28_06:49:38
Locale: es-ES (es_ES)
Comment 2 Jean-Baptiste Faure 2017-07-30 11:47:33 UTC
I reproduce the problem in LO 5.4.1.0.0+ (built at home under Ubuntu 16.04 x86-4) but not in 5.3.4 built by Ubuntu.

Best regards. JBF
Comment 3 Julien Nabet 2017-07-31 20:56:10 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.

Let's increase a bit importance since:
- it's a regression
- it affects several envs
- it won't be noticed at first glance
Comment 4 raal 2017-08-01 15:05:31 UTC
This seems to have begun at the below commit.
Adding Cc: to Vitaliy Anderson; Could you possibly take a look at this one? Thanks

6791b4f0aafff32e019a9c00c2f6ce2ecfcda3d3 is the first bad commit
commit 6791b4f0aafff32e019a9c00c2f6ce2ecfcda3d3
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Sun Feb 12 00:15:45 2017 -0800

    source sha:aaf41776b992a4552764f0fdf91671ffebc618fa
   
author    Vitaliy Anderson <vanderson@smartru.com>    2017-01-31 13:11:12 (GMT)
committer    Mike Kaganski <mike.kaganski@collabora.com>    2017-01-31 16:36:16 (GMT)
commit    aaf41776b992a4552764f0fdf91671ffebc618fa (patch)
tree    9b746495c26203ad3c14307dc5bf254f697aae93
parent    1478f81f236b88377293432a642def218e228145 (diff)
Compatibility options refactoring. Part 1 small fix
SvtCompatibilityOptions_Impl::impl_GetPropertyNames() solve problem with wrong lProperties names
Comment 5 Mike Kaganski 2017-08-17 09:15:06 UTC
(In reply to m.a.riosv from comment #1)
> Reproducible.
> Version: 5.2.7.1

There's some contradiction here with

(In reply to raal from comment #4)
> 6791b4f0aafff32e019a9c00c2f6ce2ecfcda3d3 is the first bad commit
>     source sha:aaf41776b992a4552764f0fdf91671ffebc618fa

which was pushed to master toward 5.4 (31 Jan 2017), and hadn't been backported. Could you please clarify/recheck?
Comment 6 Vitaliy 2017-08-17 10:12:04 UTC
raal, of course. I am working on this
Comment 7 Vitaliy 2017-08-19 15:09:17 UTC
The fix https://gerrit.libreoffice.org/41328/

Please test it


Also I have noticed that the options "Protect Form" and "Use LibreOffice 4.3 anchoring paint order (in current document)" aren't loadind from default config.

It's doing in the sw::DocumentSettingManager::DocumentSettingManager() function.

I do not know. Should I enable loading the options from default config?
Comment 8 Jean-Baptiste Faure 2017-08-19 16:18:53 UTC
(In reply to Vitaliy from comment #7)
> The fix https://gerrit.libreoffice.org/41328/
> 
> Please test it

Seems to work as expected :-)
Thank you for working on this.

Best regards. JBF
Comment 9 Lenge 2017-08-19 21:32:05 UTC
(In reply to Vitaliy from comment #7)
> Also I have noticed that the options "Protect Form" and "Use LibreOffice 4.3
> anchoring paint order (in current document)" aren't loadind from default
> config.
> I do not know. Should I enable loading the options from default config?
Yes, sure. Seems they just were forgotten beforehand.
Comment 10 Vitaliy 2017-08-21 18:56:41 UTC
(In reply to Lenge from comment #9)
> (In reply to Vitaliy from comment #7)
> > Also I have noticed that the options "Protect Form" and "Use LibreOffice 4.3
> > anchoring paint order (in current document)" aren't loadind from default
> > config.
> > I do not know. Should I enable loading the options from default config?

> Yes, sure. Seems they just were forgotten beforehand.

The patch for this https://gerrit.libreoffice.org/41400/

Also test it please
Comment 11 Commit Notification 2017-08-22 13:47:37 UTC
Vitaliy Anderson committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=52275c689bcdd46f23ff5ebd5cfcc94614bfbffe

tdf#110355: regression fix

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2017-08-22 14:17:36 UTC
Vitaliy Anderson committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6eecd89ee0798925be69fcf23e8daa3bc643458d

tdf#110355: loading options from default config

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2017-08-22 18:22:03 UTC
Vitaliy Anderson committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4b0a2b0ab9e03f20c5cde4064447ffa15f19b90f&h=libreoffice-5-4

tdf#110355: regression fix

It will be available in 5.4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Xisco Faulí 2017-09-22 07:48:41 UTC
A polite ping to Vitaliy Anderson: is this bug fixed? if so, please close it as RESOLVED FIXED
Comment 15 Vitaliy 2017-09-22 08:14:44 UTC
Oh sorry.. Closed as fixed :)